Skip to main content
GET
List data exports

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-finops-version
string<date>
required
x-organization-id
string<uuid>
required

The ID of the entity that owns the requested resource.

Example:

"9d2b4c8f-2087-4738-ba91-7359683c49a4"

Query Parameters

order
enum<string>
default:asc

Sort order (ascending by default). Typically used together with the sort parameter.

Available options:
asc,
desc
limit
integer
default:100

The number of items (0 .. 100) to return in a single page of the response. The response may contain fewer items if it is the last or only page.

Required range: 1 <= x <= 100
pagination_token
string | null

A pagination token obtained from a previous call to this endpoint. Use it to get the next or previous page of results for your initial query. If pagination_token is specified, all other query parameters are ignored and inferred from the initial query.

If not specified, the first page of results will be returned.

sort
enum<string> | null

The field to sort the results by. Typically used together with the order parameter.

Available options:
created_at
created_at__gt
string<date-time> | null
created_at__lt
string<date-time> | null
created_at__gte
string<date-time> | null
created_at__lte
string<date-time> | null
created_by_entity_user_id
string<uuid> | null
object_type
enum<string> | null
Available options:
payable,
receivable,
transaction
status
enum<string> | null
Available options:
pending,
processing,
succeeded,
failed,
expired
status__in
enum<string>[] | null
Available options:
pending,
processing,
succeeded,
failed,
expired

Response

Successful Response

data
object[]
required

A set of exports returned per page.

next_pagination_token
string | null

A token that can be sent in the pagination_token query parameter to get the next page of results. If there is no next page, i.e. you have reached the last page, the value is null.

prev_pagination_token
string | null

A token that can be sent in the pagination_token query parameter to get the previous page of results. If there is no previous page, i.e. you have reached the first page, the value is null.